Bug Hunting Session
Bug 123231 - Chart set trendline format regression type Power twice
Summary: Chart set trendline format regression type Power twice
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
6.2.0.3 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.1
Keywords: regression
Depends on:
Blocks:
 
Reported: 2019-02-07 17:19 UTC by raal
Modified: 2019-02-12 17:31 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
test file (14.03 KB, application/vnd.oasis.opendocument.spreadsheet)
2019-02-07 17:19 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2019-02-07 17:19:56 UTC
Created attachment 148984 [details]
test file

steps
 - open file testEquation2
 - double-click chart
 - format Trend line
 - set Regression type = Power
 - button OK, reopen Trend line format dialog
 - button OK, reopen Trend line format dialog

 actual:   Regression Type set to Polynomial
 
 expected: Regression Type set to Power
Comment 1 raal 2019-02-07 17:20:48 UTC
regression in bibisect repo 6.2, but cannot bibisect, because format Trendline crash calc.

@Caolán, can this regresion be related to commit 3c80f488?
https://gerrit.libreoffice.org/#/c/61193/
Comment 2 Caolán McNamara 2019-02-11 13:23:35 UTC
hmm, triggered by the focus move that occurs from a spinbutton to the radio button while clicking it
Comment 3 Commit Notification 2019-02-11 15:53:42 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c7ad7849d54fd3dad67e7779102f65b8b2f04881%5E%21

Resolves: tdf#123231 spin-button focus loss triggers changing active radio

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2019-02-11 16:05:14 UTC
fixed in master, backport in gerrit
Comment 5 Xisco Faulí 2019-02-12 12:52:36 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: a8f21e120b1073d7019d41e85cc9a15104ed5c93
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!
Comment 6 Commit Notification 2019-02-12 12:54:21 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/6b5807851357059cdfc54a6870498baea6d92ee0%5E%21

Resolves: tdf#123231 spin-button focus loss triggers changing active radio

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-02-12 17:31:16 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/66cab03733f4fc91a2ebd37a799d940f5e787166%5E%21

uitest for bug tdf#123231

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.